ランタイム: Mix::Graphics::IShaderConstant Class Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
Mix::Graphics::IShaderConstant Class Referenceabstract

シェーダーコンスタントインターフェース More...

`#include <IShaderConstant.h>`

Inheritance diagram for Mix::Graphics::IShaderConstant:
[legend]
Collaboration diagram for Mix::Graphics::IShaderConstant:
[legend]

## Public Member Functions

virtual Boolean | Lock (void)=0
| ロックし、書き込める状態にします More...
virtual void | Unlock (void)=0
| アンロックし、使用できる状態にします More...
virtual Boolean | Write (const void *pData, UInt32 dataSize)=0
| データを書き込みます More...
virtual UInt32 | GetSize (void) const =0
| サイズ( バイト単位 )を取得します More...
Public Member Functions inherited from Mix::Graphics::IDeviceObject
virtual Mix::Graphics::IDeviceObject::TYPE | GetType (void) const =0
| タイプを取得します More...
Public Member Functions inherited from Mix::Reference
void | AddRef (void)
| 参照数を 1 増やします More...
void | Release (void)
| 参照数を 1 減らします More...
Long32 | GetRefCount (void)
| 参照数を取得します More...

## Protected Member Functions

virtual | ~IShaderConstant (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Graphics::IDeviceObject
virtual | ~IDeviceObject (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Reference
| MIX_DECLARE_ALLOCATOR ()
| Reference (void)
| コンストラクタ More...
| Reference (Long32 count)
| コンストラクタ More...
virtual | ~Reference (void)
| デストラクタ More...

## Additional Inherited Members

Public Types inherited from Mix::Graphics::IDeviceObject
enum | TYPE { VERTEX_LAYOUT = 0, COMPUTE_SHADER = 1, HULL_SHADER = 2, DOMAIN_SHADER = 3, GEOMETRY_SHADER = 4, VERTEX_SHADER = 5, PIXEL_SHADER = 6, SHADER_CONSTANT = 7, VERTEX_BUFFER = 8, INDEX_BUFFER = 9, TEXTURE = 10, QUERY = 11 }
| タイプ列挙定数 More...

## Detailed Description

シェーダーコンスタントインターフェース

## Constructor & Destructor Documentation

virtual Mix::Graphics::IShaderConstant::~IShaderConstant | ( | void |  | ) |

inlineprotectedvirtual

デストラクタ

## Member Function Documentation

virtual Boolean Mix::Graphics::IShaderConstant::Lock | ( | void |  | ) |

pure virtual

ロックし、書き込める状態にします

Returns
  成功した場合は True を返します

virtual void Mix::Graphics::IShaderConstant::Unlock | ( | void |  | ) |

pure virtual

アンロックし、使用できる状態にします

virtual Boolean Mix::Graphics::IShaderConstant::Write | ( | const void * | pData,
|  | UInt32 | dataSize
| ) |  |

pure virtual

データを書き込みます

Parameters

  [in] | pData | 書き込むデータのポインタ
  [in] | dataSize | 書き込むデータのサイズ

Returns
  成功した場合は True を返します

Note
  このメソッドを使用するには事前にロックしておく必要があります

virtual UInt32 Mix::Graphics::IShaderConstant::GetSize | ( | void |  | ) | const

pure virtual

サイズ( バイト単位 )を取得します

Returns
  サイズを返します

The documentation for this class was generated from the following file:

- Mix/Graphics/IShaderConstant.h